xn::ModulePoseDetectionInteface Class Referenceabstract

`#include <XnModuleCppInterface.h>`

## Public Member Functions

virtual | ~ModulePoseDetectionInteface ()
virtual XnUInt32 | GetNumberOfPoses ()=0
virtual XnStatus | GetAvailablePoses (XnChar **pstrPoses, XnUInt32 &nPoses)=0
virtual XnStatus | GetAllAvailablePoses (XnChar **pstrPoses, XnUInt32 nNameLength, XnUInt32 &nPoses)=0
virtual XnStatus | StartPoseDetection (const XnChar *strPose, XnUserID user)=0
virtual XnStatus | StopPoseDetection (XnUserID user)=0
virtual XnStatus | StopSinglePoseDetection (XnUserID user, const XnChar *strPose)=0
virtual XnStatus | RegisterToPoseDetectionCallbacks (XnModulePoseDetectionCallback StartPoseCB, XnModulePoseDetectionCallback EndPoseCB, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromPoseDetectionCallbacks (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToPoseDetectionInProgress (XnModulePoseDetectionInProgressCallback InProgressCB, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromPoseDetectionInProgress (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToPoseDetected (XnModulePoseDetectionCallback handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual XnStatus | RegisterToOutOfPose (XnModulePoseDetectionCallback handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromPoseDetected (XnCallbackHandle hCallback)=0
virtual void | UnregisterFromOutOfPose (XnCallbackHandle hCallback)=0

## Constructor & Destructor Documentation

## ~ModulePoseDetectionInteface()

virtual xn::ModulePoseDetectionInteface::~ModulePoseDetectionInteface | ( |  | ) |

inline virtual

## Member Function Documentation

## GetAllAvailablePoses()

virtual XnStatus xn::ModulePoseDetectionInteface::GetAllAvailablePoses | ( | XnChar ** | pstrPoses,
|  | XnUInt32 | nNameLength,
|  | XnUInt32 & | nPoses )

pure virtual

## GetAvailablePoses()

virtual XnStatus xn::ModulePoseDetectionInteface::GetAvailablePoses | ( | XnChar ** | pstrPoses,
|  | XnUInt32 & | nPoses )

pure virtual

## GetNumberOfPoses()

virtual XnUInt32 xn::ModulePoseDetectionInteface::GetNumberOfPoses | ( |  | ) |

pure virtual

## RegisterToOutOfPose()

virtual XnStatus xn::ModulePoseDetectionInteface::RegisterToOutOfPose | ( | XnModulePoseDetectionCallback | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RegisterToPoseDetected()

virtual XnStatus xn::ModulePoseDetectionInteface::RegisterToPoseDetected | ( | XnModulePoseDetectionCallback | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RegisterToPoseDetectionCallbacks()

virtual XnStatus xn::ModulePoseDetectionInteface::RegisterToPoseDetectionCallbacks | ( | XnModulePoseDetectionCallback | StartPoseCB,
|  | XnModulePoseDetectionCallback | EndPoseCB,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RegisterToPoseDetectionInProgress()

virtual XnStatus xn::ModulePoseDetectionInteface::RegisterToPoseDetectionInProgress | ( | XnModulePoseDetectionInProgressCallback | InProgressCB,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## StartPoseDetection()

virtual XnStatus xn::ModulePoseDetectionInteface::StartPoseDetection | ( | const XnChar * | strPose,
|  | XnUserID | user )

pure virtual

## StopPoseDetection()

virtual XnStatus xn::ModulePoseDetectionInteface::StopPoseDetection | ( | XnUserID | user | ) |

pure virtual

## StopSinglePoseDetection()

virtual XnStatus xn::ModulePoseDetectionInteface::StopSinglePoseDetection | ( | XnUserID | user,
|  | const XnChar * | strPose )

pure virtual

## UnregisterFromOutOfPose()

virtual void xn::ModulePoseDetectionInteface::UnregisterFromOutOfPose | ( | XnCallbackHandle | hCallback | ) |

pure virtual

## UnregisterFromPoseDetected()

virtual void xn::ModulePoseDetectionInteface::UnregisterFromPoseDetected | ( | XnCallbackHandle | hCallback | ) |

pure virtual

## UnregisterFromPoseDetectionCallbacks()

virtual void xn::ModulePoseDetectionInteface::UnregisterFromPoseDetectionCallbacks | ( | XnCallbackHandle | hCallback | ) |

pure virtual

## UnregisterFromPoseDetectionInProgress()

virtual void xn::ModulePoseDetectionInteface::UnregisterFromPoseDetectionInProgress | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h